Intel Whiskey Lake (WHL) graphics support

Bug #1753954 reported by Timo Aaltonen on 2018-03-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux-oem (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
xorg-server-hwe-16.04 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]
WHL is basically CFL-U with new PCI-ID's that are needed in the kernel, libdrm, mesa and xserver.

[Test Case]

Test the installation on a WHL machine, the graphical session should have full acceleration after these updates.

[Regression Potential]

None, just adds PCI-ID's to existing drivers.

Timo Aaltonen (tjaalton) wrote :

libdrm 2.4.90 in bionic has them

Changed in libdrm (Ubuntu Bionic):
status: New → Fix Released
Changed in xorg-server-hwe-16.04 (Ubuntu Bionic):
status: New → Invalid
Changed in xorg-server (Ubuntu Xenial):
status: New → Invalid
Timo Aaltonen (tjaalton) wrote :

mesa 18.0.0-rc4 in bionic has them

Changed in mesa (Ubuntu Bionic):
status: New → Fix Released
Timo Aaltonen (tjaalton) wrote :

bionic kernel got fixed already in https://bugs.launchpad.net/intel/+bug/1742561

Changed in linux-oem (Ubuntu Bionic):
status: New → Fix Released
summary: - Intel Whiskey Lake (WHL) support
+ Intel Whiskey Lake (WHL) graphics support
alex zhang (alex.zhang) wrote :

Whiskey Lake (WHL)
Package/pin compatible Quad core WHL (U42) or Dual core CNL (U22) design in common board with stuffing option Two versions of CPU Si will be compatible with this platform:
• WHL U4+2 derived based on Coffelake-U with CNL-LP PCH
Use CFL-S/H code already in upstream(4.13-4.15)
PCI ID Changes: Graphics Related(v4.16)
• Cannonlake Prime –U 2+2 w/ CNL-H PCH and CNL-LP PCH
Use CNL-Y features (4.13-4.16)

Please don't forget CNL-H based components. Above is what I got from Intel.

Timo Aaltonen (tjaalton) wrote :

xserver patched in git

Changed in xorg-server (Ubuntu Bionic):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.19.6-1ubuntu3

---------------
xorg-server (2:1.19.6-1ubuntu3) bionic; urgency=medium

  * dri2-Sync-i965_pci_ids.h-from-Mesa.patch: Update i965_pci_ids.h to
    include latest CFL. (LP: #1753954)
  * server-1.19.diff: Pull fixes from upstream stable branch.
    (LP: #1748926)

 -- Timo Aaltonen <email address hidden> Tue, 13 Mar 2018 11:59:01 +0200

Changed in xorg-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

hwe kernel will be used for this, not old linux-oem

Changed in linux-oem (Ubuntu Xenial):
status: New → Won't Fix
Timo Aaltonen (tjaalton) on 2018-06-06
Changed in libdrm (Ubuntu Xenial):
milestone: none → ubuntu-16.04.5

Hello Timo, or anyone else affected,

Accepted libdrm into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.91-2~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdrm (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/18.0.5-0ubuntu0~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Xenial):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

server is in proposed, just need to handle tracking manually

Changed in xorg-server-hwe-16.04 (Ubuntu Xenial):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

I finally received the WHL test machine, and can confirm that things are working fine with xenial-proposed

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial

The verification of the Stable Release Update for libdrm has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-hwe-16.04 - 2:1.19.6-1ubuntu4~16.04.1

---------------
xorg-server-hwe-16.04 (2:1.19.6-1ubuntu4~16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1772632)
    - Revert dropping patches 105, 188, 191, and disable
      improve-outputclass.diff, in order not to regress nvidia

 -- Timo Aaltonen <email address hidden> Wed, 06 Jun 2018 14:23:44 +0300

Changed in xorg-server-hwe-16.04 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 18.0.5-0ubuntu0~16.04.1

---------------
mesa (18.0.5-0ubuntu0~16.04.1) xenial; urgency=medium

  * Sync new upstream release from bionic. (LP: #1772632, #1753954)
    - migrate to llvm-6.0, bump libclc
    - update libgbm1.symbols
    - drop upstreamed patches
    - disable intel CCS compression to avoid corruption when logging in
      with Xorg
    - gallium: don't enable 10bpc by default
    - refresh Mir patches
    - fix disabling omx bellagio

 -- Timo Aaltonen <email address hidden> Wed, 06 Jun 2018 10:16:27 +0300

Changed in mesa (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.91-2~16.04.1

---------------
libdrm (2.4.91-2~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1772632, #1753954)

libdrm (2.4.91-2) unstable; urgency=medium

  * Update libdrm-freedreno1.symbols and shlibs (Closes: #892960).

libdrm (2.4.91-1) unstable; urgency=medium

  * New upstream release.

libdrm (2.4.90-1) unstable; urgency=medium

  * New upstream release.
  * Update libdrm-amdgpu1.symbols and shlibs.
  * Bump standards version to 4.1.3.
  * Update extend-diff-ignore.

libdrm (2.4.89-1) unstable; urgency=medium

  * New upstream release.
  * Update libdrm2.symbols and shlibs.
  * Update libdrm-amdgpu1.symbols and shlibs.
  * Update libdrm-etnaviv1.symbols and shlibs.
  * Update libdrm-freedreno1.symbols and shlibs.
  * Bump standards version to 4.1.2.

libdrm (2.4.88-1) unstable; urgency=medium

  * New upstream release.
  * Update libdrm-amdgpu1.symbols and shlibs.

libdrm (2.4.85-1) unstable; urgency=medium

  * New upstream release.
  * Update libdrm-amdgpu1.symbols and shlibs.
  * Bump standards version to 4.1.1.

libdrm (2.4.84-2) unstable; urgency=medium

  * libdrm-amdgpu1.symbols: Updated.

libdrm (2.4.84-1) unstable; urgency=medium

  * New upstream release.
  * libdrm2.symbols: Updated.

 -- Timo Aaltonen <email address hidden> Fri, 26 Jan 2018 15:22:52 +0200

Changed in libdrm (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers